PLplot: plstrm.h File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Macros | Functions
plstrm.h File Reference
`#include "pdf.h"`
`#include "disptab.h"`
`#include "pldll.h"`
`#include "qsastime.h"`

Go to the source code of this file.

## Classes
struct | PLDev
struct | PLStream

## Macros
#define | PL_MAX_CMAP1CP 256

## Functions
void PLDLLIMPEXP | plgpls (PLStream **p_pls)
PLDLLIMPEXP void | plcol_interp (PLStream *pls, PLColor *newcolor, int i, int ncol)
PLDLLIMPEXP void | plOpenFile (PLStream *pls)
PLDLLIMPEXP void | plCloseFile (PLStream *pls)
void | plP_getmember (PLStream *pls)
void | plP_sfnam (PLStream *pls, const char *fnam)
PLDLLIMPEXP void | plFamInit (PLStream *pls)
PLDLLIMPEXP void | plGetFam (PLStream *pls)
PLDLLIMPEXP void | plRotPhy (PLINT orient, PLINT xmin, PLINT ymin, PLINT xmax, PLINT ymax, PLINT *px, PLINT *py)
PLDLLIMPEXP PLDev * | plAllocDev (PLStream *pls)
PLDLLIMPEXP void | plGinInit (PLGraphicsIn *gin)

## Macro Definition Documentation

#define PL_MAX_CMAP1CP 256

Definition at line 527 of file plstrm.h.

## Function Documentation

PLDLLIMPEXP PLDev* plAllocDev | ( | PLStream * | pls | ) |

Allocates a standard PLDev structure for device-specific data, stores the address in pls->dev, and returns the address as well.

Parameters

  pls | A plot stream structure.

Returns
  A PLDev *

Definition at line 2850 of file plctrl.c.

PLDLLIMPEXP void plCloseFile | ( | PLStream * | pls | ) |

Closes output file unless it is associated with stdout.

Parameters

  pls | A plot stream structure.

Definition at line 2619 of file plctrl.c.

PLDLLIMPEXP void plcol_interp | ( | PLStream * | pls,
|  | PLColor * | newcolor,
|  | int | i,
|  | int | ncol
| ) |  |

Initializes device cmap 1 entry by interpolation from pls->cmap1 entries. Returned PLColor is supposed to represent the i_th color out of a total of ncol colors in the current color scheme.

Parameters

  pls | A plot stream structure.
  newcolor | A color structure to store the color in.
  i | Index of the desired color.
  ncol | Total number of colors (supported by the device?).

Definition at line 2514 of file plctrl.c.

PLDLLIMPEXP void plFamInit | ( | PLStream * | pls | ) |

Initializes family file parameters.

Parameters

  pls | A plot stream structure.

Definition at line 2735 of file plctrl.c.

PLDLLIMPEXP void plGetFam | ( | PLStream * | pls | ) |

Starts new member file of family file set if necessary.

Note each member file is a complete graphics file (can be printed individually), although 'plrender' will treat a family as a single logical file if given the family name instead of the member name.

Parameters

  pls | A plot stream structure.

Definition at line 2764 of file plctrl.c.

PLDLLIMPEXP void plGinInit | ( | PLGraphicsIn * | gin | ) |

Just fills in the PLGraphicsIn with appropriate initial values.

Parameters

  gin | A plot graphics input (i.e. keypress or mouseclick) structure.

Definition at line 2871 of file plctrl.c.

void PLDLLIMPEXP plgpls | ( | PLStream ** | p_pls | ) |

Definition at line 3560 of file plcore.c.

PLDLLIMPEXP void plOpenFile | ( | PLStream * | pls | ) |

Definition at line 2555 of file plctrl.c.

void plP_getmember | ( | PLStream * | pls | ) |

Sets up next file member name (in pls->FileName), but does not open it.

Parameters

  pls | A plot stream structure.

Definition at line 2641 of file plctrl.c.

void plP_sfnam | ( | PLStream * | pls,
|  | const char * | fnam
| ) |  |

Sets up file name (with "%n" removed if present) & family stem name. Reserve some extra space (10 chars) to hold an optional member number.

Parameters

  pls | A plot stream.
  fnam | The base file name of the plot files.

Definition at line 2684 of file plctrl.c.

PLDLLIMPEXP void plRotPhy | ( | PLINT | orient,
|  | PLINT | xmin,
|  | PLINT | ymin,
|  | PLINT | xmax,
|  | PLINT | ymax,
|  | PLINT * | px,
|  | PLINT * | py
| ) |  |

Rotates physical coordinates if necessary for given orientation. Each time orient is incremented, the plot is rotated 90 deg clockwise. Note: this is now used only to rotate by 90 degrees for devices that expect portrait mode.

Parameters

  orient | New plot orientation (0-3)
  xmin | Current plot x minimum?
  ymin | Current plot y minimum?
  xmax | Current plot x maximum?
  ymax | Current plot y maximum?
  px | Old x coordinate mapped to new x coordinate.
  py | Old y coordinate mapped to new y coordinate.

Definition at line 2808 of file plctrl.c.